<%@ Page Language="C#" AutoEventWireup="true" CodeFile="updateClass.cs" Inherits="updateClass" %>

<%
MysqlHelp mh =  new MysqlHelp();
mh.Runsql("alter table Article4DeepSoon add column isPass bool default false");
mh.Runsql("alter table Class4DeepSoon add column openArea  char(20) default 'all'");
mh.Runsql("alter table Class4DeepSoon add column linkTarget char(20) default '_self' ");

///文章评论表
string commentSQL = "create table Comment4DeepSoon(ID int(8) not null primary key auto_increment,Content Text not null,Author char(20),IPAddress char(50),DateStr  timestamp DEFAULT now(),FatherID char(20) not null,isPass bool default false,ArticleID int(8) not null)";
mh.Runsql(commentSQL);
///文章评论配置表
string commentSettingSQL = "create table CommentSetting4DeepSoon(ID int(4) not null primary key auto_increment,setOpen  bool default true,setPass bool default false,setSize int(8) default 200,openArea  char(20) default 'all')";
mh.Runsql(commentSettingSQL);
string insertCommentSettingStr = "insert into CommentSetting4DeepSoon(setSize) values ('200')";
mh.Runsql(insertCommentSettingStr);
%>


由deepsoon V1.2.5成功更新至deepsoon V1.2.6